// BridgeMode.h: interface for the CBridgeMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BRIDGEMODE_H__465D44A2_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
#define AFX_BRIDGEMODE_H__465D44A2_4E52_11D5_A210_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "Bridge.h"
#include "MapView.h"

class CMapView;

class CBridgeMode : public CMode
{
public:
	CBridgeMode(CMapDoc*);
	virtual ~CBridgeMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	bool IsHit();
	DoDialog();
	CMapView* GetView(); 

protected:
	DECLARE_DYNAMIC(CBridgeMode)

private:
	CBridge* bridge_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_BRIDGEMODE_H__465D44A2_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
