// BridgeView.h: interface for the CBridgeView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BRIDGEVIEW_H__59F09D21_457C_11D5_A20E_A4289ED57710__INCLUDED_)
#define AFX_BRIDGEVIEW_H__59F09D21_457C_11D5_A20E_A4289ED57710__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Bridge.h"



class CBridgeView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;
   	int distance_porpotion;

	// cordinate for mirrored line
	int x ,y, x1, y1;

	double distance_x;
	double distance_y;
		
	// Draw bridge internally
	void _Draw(int lines_distance);

public:
	CBridgeView ();
	CBridgeView (CBridge*);
	virtual ~CBridgeView ();
	virtual void Draw (CDC*);
	virtual void InvertBridge (CDC*, CPoint, CPoint, UINT);
	virtual void SelectedBridge (CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_BRIDGEVIEW_H__59F09D21_457C_11D5_A20E_A4289ED57710__INCLUDED_)
