// CLine.h: interface for the CLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLINE_H__C0E0BFE1_2FAD_11D5_A20E_9638A12C7131__INCLUDED_)
#define AFX_CLINE_H__C0E0BFE1_2FAD_11D5_A20E_9638A12C7131__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLine : public CObject
{
    DECLARE_SERIAL (CLine)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
    CLine () {}
    CLine (CPoint, CPoint, UINT, COLORREF);
    virtual void Serialize (CArchive&);
	bool HitTest(CPoint);
    
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetLineColor();

	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetLineColor(COLORREF);
};

#endif // !defined(AFX_CLINE_H__C0E0BFE1_2FAD_11D5_A20E_9638A12C7131__INCLUDED_)
