// CircleMode.h: interface for the CCircleMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CIRCLEMODE_H__465D44A6_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
#define AFX_CIRCLEMODE_H__465D44A6_4E52_11D5_A210_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "Circle.h"
#include "MapView.h"

class CMapView;

class CCircleMode : public CMode 
{
public:
	CCircleMode(CMapDoc*);
	virtual ~CCircleMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView(); 

protected:
	DECLARE_DYNAMIC(CCircleMode)

private:
	CCircle* circle_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_CIRCLEMODE_H__465D44A6_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
