// HighWayCollection.h: interface for the HighWayCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HIGHWAYCOLLECTION_H__9E930D42_828B_11D5_A211_B277EC75A01F__INCLUDED_)
#define AFX_HIGHWAYCOLLECTION_H__9E930D42_828B_11D5_A211_B277EC75A01F__INCLUDED_

#include "HighWay.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class HighWayCollection : public CObject 
{
	DECLARE_SERIAL (HighWayCollection)

public:
	HighWayCollection();
	virtual ~HighWayCollection();
	
	CHighWay* AddHighWay (CPoint, CPoint, UINT, UINT, COLORREF);
    CHighWay* GetHighWay (int);
    int GetHighWayCount ();
	virtual void DeleteHighWay (int);
    virtual void DeleteHighWayContents ();
	virtual void Serialize (CArchive&);
	CObArray* GetHighWayCollection();

protected:
    CObArray m_highwayArray;

};

#endif // !defined(AFX_HIGHWAYCOLLECTION_H__9E930D42_828B_11D5_A211_B277EC75A01F__INCLUDED_)
