// HighWayView.h: interface for the CHighWayView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HIGHWAYVIEW_H__9E930D43_828B_11D5_A211_B277EC75A01F__INCLUDED_)
#define AFX_HIGHWAYVIEW_H__9E930D43_828B_11D5_A211_B277EC75A01F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HighWay.h"

class CHighWayView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;
   	int distance_porpotion;

	// cordinate for mirrored line
	int x ,y, x1, y1;

public:
	CHighWayView();
	CHighWayView(CHighWay*);
	virtual ~CHighWayView();
    virtual void Draw (CDC*);
	virtual void InvertHighWay(CDC*, CPoint, CPoint, UINT);
	virtual void SelectedHighWay(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_HIGHWAYVIEW_H__9E930D43_828B_11D5_A211_B277EC75A01F__INCLUDED_)
