// HospitalCollection.h: interface for the HospitalCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOSPITALCOLLECTION_H__C0BA4062_8294_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_HOSPITALCOLLECTION_H__C0BA4062_8294_11D5_A211_0080C8D7810E__INCLUDED_

#include "Hospital.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class HospitalCollection : public CObject
{
	DECLARE_SERIAL (HospitalCollection)

public:
	HospitalCollection();
	virtual ~HospitalCollection();
	
	CHospital* AddHospital (CPoint, CPoint, UINT, COLORREF);
    CHospital* GetHospital (int);
    int GetHospitalCount ();
	virtual void DeleteHospital (int);
    virtual void DeleteHospitalContents ();
	virtual void Serialize (CArchive&);
	CObArray* GetHospitalCollection();

protected:
    CObArray m_hospitalArray;
};

#endif // !defined(AFX_HOSPITALCOLLECTION_H__C0BA4062_8294_11D5_A211_0080C8D7810E__INCLUDED_)
