// HospitalMode.h: interface for the CHospitalMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOSPITALMODE_H__C0BA4064_8294_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_HOSPITALMODE_H__C0BA4064_8294_11D5_A211_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "Hospital.h"
#include "MapView.h"

class CMapView;

class CHospitalMode : public CMode 
{
public:
	CHospitalMode(CMapDoc*);
	virtual ~CHospitalMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView(); 

protected:
	DECLARE_DYNAMIC(CHospitalMode)

private:
	CHospital* hospital_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_HOSPITALMODE_H__C0BA4064_8294_11D5_A211_0080C8D7810E__INCLUDED_)
