// LineCollection.h: interface for the LineCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINECOLLECTION_H__B6BF5B82_314B_11D5_A20E_D6CB2340E54D__INCLUDED_)
#define AFX_LINECOLLECTION_H__B6BF5B82_314B_11D5_A20E_D6CB2340E54D__INCLUDED_

#include "CLine.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class LineCollection : public CObject
{
	DECLARE_SERIAL (LineCollection)

public:
	LineCollection();
	virtual ~LineCollection();
	
	CLine* AddLine (CPoint, CPoint, UINT, COLORREF);
    CLine* GetLine (int);
    int GetLineCount ();
    virtual void DeleteLineContents ();
	virtual void DeleteLine(int);
	virtual void Serialize (CArchive&);
	CObArray* GetLineCollection();

protected:
    CObArray m_lineArray;
};

#endif // !defined(AFX_LINECOLLECTION_H__B6BF5B82_314B_11D5_A20E_D6CB2340E54D__INCLUDED_)
