// LineView.h: interface for the CLineView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINEVIEW_H__59F09D23_457C_11D5_A20E_A4289ED57710__INCLUDED_)
#define AFX_LINEVIEW_H__59F09D23_457C_11D5_A20E_A4289ED57710__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "CLine.h"

class CLineView  
{

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
	CLineView();
	CLineView(CLine*);
	virtual ~CLineView();
    virtual void Draw (CDC*);
	virtual void InvertLine(CDC*, CPoint, CPoint);
	virtual void SelectedLine(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_LINEVIEW_H__59F09D23_457C_11D5_A20E_A4289ED57710__INCLUDED_)
