// ListNamesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "map studio max r1.h"
#include "ListNamesDlg.h"
#include "TextCollection.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CListNamesDlg dialog


CListNamesDlg::CListNamesDlg(CWnd* pParent, CMapDoc* doc )
	: CDialog(CListNamesDlg::IDD, pParent), _doc(doc)
{
	//{{AFX_DATA_INIT(CListNamesDlg)
	m_search = _T("");
	//}}AFX_DATA_INIT

}


void CListNamesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CListNamesDlg)
	DDX_Control(pDX, IDC_LIST_MAP_OBJ_NAMES, m_name_list);
	DDX_Text(pDX, IDC_LIST_BOX_SEARCH_OBJECTS, m_search);
	DDV_MaxChars(pDX, m_search, 255);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CListNamesDlg, CDialog)
	//{{AFX_MSG_MAP(CListNamesDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CListNamesDlg message handlers

BOOL CListNamesDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	TextCollection* texts= _doc->text_collection;
	for (int n=0; n<(texts->GetTextCount()); n++)
	{
		m_name_list.AddString(_T(texts->GetText(n)->GetText()));
	}

	m_name_list.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


