// Mode.h: interface for the CMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MODE_H__465D44A1_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
#define AFX_MODE_H__465D44A1_4E52_11D5_A210_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MapDoc.h"

class CMode : public CObject  
{
public:
	CMode(CMapDoc*);
	virtual ~CMode();

	virtual OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC) = 0;
	virtual OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC) = 0;
	virtual OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC) = 0;
	virtual OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC) = 0;
	virtual OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC) = 0;
	virtual void delete_selected() = 0;
	virtual DoDialog() = 0;
	virtual bool IsHit() = 0;

protected:
	DECLARE_DYNAMIC(CMode)

	CMapDoc* _doc;
	CPoint m_startPoint; //start drawing point
	CPoint m_endPoint; //end drawing point
};

#endif // !defined(AFX_MODE_H__465D44A1_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
