// Rail.h: interface for the CRail class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAIL_H__71959A96_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_RAIL_H__71959A96_81F8_11D5_A211_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRail : public CObject
{
	DECLARE_SERIAL (CRail)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_RailWidth;
    COLORREF m_RailColor;

public:
	CRail(){}
    CRail (CPoint, CPoint, UINT, COLORREF);
    virtual void Serialize (CArchive&);
	bool HitTest(CPoint);
    
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetRailWidth();
	COLORREF GetRailColor();

	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetRailWidth(UINT);
	virtual void SetRailColor(COLORREF);

};

#endif // !defined(AFX_RAIL_H__71959A96_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
