// RailCollection.h: interface for the RailCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAILCOLLECTION_H__71959A97_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_RAILCOLLECTION_H__71959A97_81F8_11D5_A211_0080C8D7810E__INCLUDED_

#include "Rail.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class RailCollection : public CObject
{
	DECLARE_SERIAL (RailCollection)

public:
	RailCollection();
	virtual ~RailCollection();

	CRail* AddRail (CPoint, CPoint, UINT, COLORREF);
    CRail* GetRail (int);
    int GetRailCount ();
    virtual void DeleteRailContents ();
	virtual void DeleteRail(int);
	virtual void Serialize (CArchive&);
	CObArray* GetRailCollection();

protected:
    CObArray m_railArray;
};

#endif // !defined(AFX_RAILCOLLECTION_H__71959A97_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
