// RailView.h: interface for the CRailView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAILVIEW_H__71959A98_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_RAILVIEW_H__71959A98_81F8_11D5_A211_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Rail.h"

class CRailView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_RailWidth;
    COLORREF m_RailColor;

public:
	CRailView();
	CRailView(CRail*);
	virtual ~CRailView();
	virtual void Draw (CDC*);
	virtual void InvertRail(CDC*, CPoint, CPoint);
	virtual void SelectedRail(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_RAILVIEW_H__71959A98_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
