// Rect.h: interface for the CRect class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECT_H__B2BB9421_3067_11D5_A20E_9C036F2A344C__INCLUDED_)
#define AFX_RECT_H__B2BB9421_3067_11D5_A20E_9C036F2A344C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRectangle : public CObject
{
    DECLARE_SERIAL (CRectangle)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
    CRectangle () {}
    CRectangle (CPoint, CPoint, UINT, COLORREF);
    virtual void Serialize (CArchive&);
		
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetLineColor();
	bool HitTest(CPoint);


	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetLineColor(COLORREF);
};

#endif // !defined(AFX_RECT_H__B2BB9421_3067_11D5_A20E_9C036F2A344C__INCLUDED_)
