// RectMode.h: interface for the CRectMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECTMODE_H__465D44A5_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
#define AFX_RECTMODE_H__465D44A5_4E52_11D5_A210_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "Rect.h"
#include "MapView.h"

class CMapView;

class CRectMode : public CMode 
{
public:
	CRectMode(CMapDoc*);
	virtual ~CRectMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView(); 

protected:
	DECLARE_DYNAMIC(CRectMode)

private:
	CRectangle* rect_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_RECTMODE_H__465D44A5_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
