// RectView.h: interface for the CRectView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECTVIEW_H__59F09D24_457C_11D5_A20E_A4289ED57710__INCLUDED_)
#define AFX_RECTVIEW_H__59F09D24_457C_11D5_A20E_A4289ED57710__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "Rect.h"

class CRectView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
	CRectView();
	CRectView(CRectangle*);
	virtual ~CRectView();
    virtual void Draw (CDC*);
	virtual void InvertRect(CDC*, CPoint, CPoint);
	virtual void SelectedRect(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_RECTVIEW_H__59F09D24_457C_11D5_A20E_A4289ED57710__INCLUDED_)
