// RoadView.h: interface for the CRoadView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROADVIEW_H__59F09D22_457C_11D5_A20E_A4289ED57710__INCLUDED_)
#define AFX_ROADVIEW_H__59F09D22_457C_11D5_A20E_A4289ED57710__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "Road.h"

class CRoadView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;
   	int distance_porpotion;

	// cordinate for mirrored line
	int x ,y, x1, y1;

public:
	CRoadView();
	CRoadView(CRoad*);
	virtual ~CRoadView();
    virtual void Draw (CDC*);
	virtual void InvertRoad(CDC*, CPoint, CPoint, UINT);
	virtual void SelectedRoad(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_ROADVIEW_H__59F09D22_457C_11D5_A20E_A4289ED57710__INCLUDED_)
