// TextCollection.h: interface for the TextCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTCOLLECTION_H__E934E8E2_8160_11D5_A211_D6897DF87C16__INCLUDED_)
#define AFX_TEXTCOLLECTION_H__E934E8E2_8160_11D5_A211_D6897DF87C16__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Text.h"

class TextCollection : public CObject 
{
	DECLARE_SERIAL (TextCollection)

public:
	TextCollection();
	virtual ~TextCollection();
	
	CText* AddText (CPoint, CPoint, COLORREF, CString);
    CText* GetText (int);
    int GetTextCount ();
    virtual void DeleteTextContents ();
	virtual void DeleteText (int);
	virtual void Serialize (CArchive&);
	CObArray* GetTextCollection();

protected:
    CObArray m_textArray;
};

#endif // !defined(AFX_TEXTCOLLECTION_H__E934E8E2_8160_11D5_A211_D6897DF87C16__INCLUDED_)
