// Bridge.h: interface for the CBridge class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BRIDGE_H__D496B8A1_3269_11D5_A20E_DE3C9863B831__INCLUDED_)
#define AFX_BRIDGE_H__D496B8A1_3269_11D5_A20E_DE3C9863B831__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CBridge : public CObject
{
    DECLARE_SERIAL (CBridge)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;
   	int distance_porpotion;

public:
    CBridge () {}
    CBridge (CPoint, CPoint, UINT, UINT, COLORREF);
    virtual void Serialize (CArchive&);
	bool HitTest(CPoint);

	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetBridgeColor();
	int GetBridgeWidth();

	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetBridgeColor(COLORREF);
	virtual void SetBridgeWidth(int);

};

#endif // !defined(AFX_BRIDGE_H__D496B8A1_3269_11D5_A20E_DE3C9863B831__INCLUDED_)
