// BridgeCollection.h: interface for the BridgeCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BRIDGECOLLECTION_H__0A1B5681_32B9_11D5_A20E_EBFB70CBE731__INCLUDED_)
#define AFX_BRIDGECOLLECTION_H__0A1B5681_32B9_11D5_A20E_EBFB70CBE731__INCLUDED_

#include "Bridge.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class BridgeCollection : public CObject 
{
	DECLARE_SERIAL (BridgeCollection)

public:
	BridgeCollection();
	virtual ~BridgeCollection();
	
	CBridge* AddBridge (CPoint, CPoint, UINT, UINT, COLORREF);
    CBridge* GetBridge (int);
    int GetBridgeCount ();
	virtual void DeleteBridge (int);
    virtual void DeleteBridgeContents ();
	virtual void Serialize (CArchive&);
	CObArray* GetBridgeCollection();

protected:
    CObArray m_bridgeArray;

};

#endif // !defined(AFX_BRIDGECOLLECTION_H__0A1B5681_32B9_11D5_A20E_EBFB70CBE731__INCLUDED_)
