// Circle.h: interface for the CCircle class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CIRCLE_H__B6BF5B81_314B_11D5_A20E_D6CB2340E54D__INCLUDED_)
#define AFX_CIRCLE_H__B6BF5B81_314B_11D5_A20E_D6CB2340E54D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCircle : public CObject
{
    DECLARE_SERIAL (CCircle)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
    CCircle () {}
    CCircle (CPoint, CPoint, UINT, COLORREF);
    virtual void Serialize (CArchive&);
	bool HitTest(CPoint);
	
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetLineColor();

	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetLineColor(COLORREF);
};

#endif // !defined(AFX_CIRCLE_H__B6BF5B81_314B_11D5_A20E_D6CB2340E54D__INCLUDED_)


