// CircleView.h: interface for the CCircleView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CIRCLEVIEW_H__59F09D25_457C_11D5_A20E_A4289ED57710__INCLUDED_)
#define AFX_CIRCLEVIEW_H__59F09D25_457C_11D5_A20E_A4289ED57710__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "Circle.h"


class CCircleView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
	CCircleView();
	CCircleView(CCircle*);
	virtual ~CCircleView();
	virtual void Draw (CDC*);
	virtual void InvertCircle(CDC*, CPoint, CPoint);
	virtual void SelectedCircle(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_CIRCLEVIEW_H__59F09D25_457C_11D5_A20E_A4289ED57710__INCLUDED_)
