// HighWay.h: interface for the CHighWay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HIGHWAY_H__9E930D41_828B_11D5_A211_B277EC75A01F__INCLUDED_)
#define AFX_HIGHWAY_H__9E930D41_828B_11D5_A211_B277EC75A01F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHighWay : public CObject
{
    DECLARE_SERIAL (CHighWay)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;
   	int distance_porpotion;

public:
    CHighWay () {}
    CHighWay (CPoint, CPoint, UINT, UINT, COLORREF);
    virtual void Serialize (CArchive&);
	
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetHighWayColor();
	int GetHighWayWidth();
	bool HitTest(CPoint);

	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetHighWayColor(COLORREF);
	virtual void SetHighWayWidth(int);
};

#endif // !defined(AFX_HIGHWAY_H__9E930D41_828B_11D5_A211_B277EC75A01F__INCLUDED_)
