// HighWayMode.h: interface for the CHighWayMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HIGHWAYMODE_H__9E930D44_828B_11D5_A211_B277EC75A01F__INCLUDED_)
#define AFX_HIGHWAYMODE_H__9E930D44_828B_11D5_A211_B277EC75A01F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "HighWay.h"
#include "MapView.h"

class CMapView;

class CHighWayMode : public CMode 
{
public:
	CHighWayMode(CMapDoc*);
	virtual ~CHighWayMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView(); 

protected:
	DECLARE_DYNAMIC(CHighWayMode)

private:
	CHighWay* highway_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_HIGHWAYMODE_H__9E930D44_828B_11D5_A211_B277EC75A01F__INCLUDED_)
