// Hospital.h: interface for the CHospital class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOSPITAL_H__C0BA4061_8294_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_HOSPITAL_H__C0BA4061_8294_11D5_A211_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHospital : public CObject
{
    DECLARE_SERIAL (CHospital)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
    CHospital () {}
    CHospital (CPoint, CPoint, UINT, COLORREF);
    virtual void Serialize (CArchive&);
		
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetLineColor();
	bool HitTest(CPoint);


	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetLineColor(COLORREF);
};


#endif // !defined(AFX_HOSPITAL_H__C0BA4061_8294_11D5_A211_0080C8D7810E__INCLUDED_)
