// HospitalView.h: interface for the CHospitalView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOSPITALVIEW_H__C0BA4063_8294_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_HOSPITALVIEW_H__C0BA4063_8294_11D5_A211_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Hospital.h"

class CHospitalView  
{
private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;

public:
	CHospitalView();
	CHospitalView(CHospital*);
	virtual ~CHospitalView();
    virtual void Draw (CDC*);
	virtual void InvertHospital(CDC*, CPoint, CPoint);
	virtual void SelectedHospital(CDC*, CPoint, CPoint);
};

#endif // !defined(AFX_HOSPITALVIEW_H__C0BA4063_8294_11D5_A211_0080C8D7810E__INCLUDED_)
