// ImageWnd.h: interface for the CImageWnd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEWND_H__1A7012CF_836B_44A3_AA29_16C3401B469C__INCLUDED_)
#define AFX_IMAGEWND_H__1A7012CF_836B_44A3_AA29_16C3401B469C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ImageWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CMagnWnd window

// CMagnWnd is a "lens" to show magnifyed image

class CMagnWnd : public CWnd
{
// Construction
public:
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMagnWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	// Generated message map functions
protected:
	void DrawRectMagnify(CDC* pDC);
	//{{AFX_MSG(CMagnWnd)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CImageWnd window

// CImageWnd suppose to keep and redraw a copy of bitmap of magnifyed window.

class CImageWnd : public CWnd
{
	friend class CMagnWnd;
// Construction
public:
	CImageWnd();

// Attributes
public:
   
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImageWnd)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CImageWnd();
	// Generated message map functions
protected:
	//BOOL PointInside();
	void SaveImage();
	void RefreshImage(BOOL bEraseBackgroud);
	//{{AFX_MSG(CImageWnd)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bCaputred;
	CMagnWnd* pMagnGlass;
	HCURSOR m_curMgnfy;
	CPoint m_CurPoint;
	CBitmap m_bmp;
	
	int m_nShape;
	int m_nZoom;
	int m_nSize;
};

#endif