// LineMode.h: interface for the CLineMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINEMODE_H__465D44A4_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
#define AFX_LINEMODE_H__465D44A4_4E52_11D5_A210_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "CLine.h"
#include "MapView.h"

class CMapView;

class CLineMode : public CMode 
{
public:
	CLineMode(CMapDoc*);
	virtual ~CLineMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView();

protected:
	DECLARE_DYNAMIC(CLineMode)

private:
	CLine* line_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_LINEMODE_H__465D44A4_4E52_11D5_A210_0080C8D7810E__INCLUDED_)
