// RailMode.h: interface for the CRailMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAILMODE_H__71959A99_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
#define AFX_RAILMODE_H__71959A99_81F8_11D5_A211_0080C8D7810E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "Rail.h"
#include "MapView.h"

class CMapView;

class CRailMode : public CMode 
{
public:
	CRailMode(CMapDoc*);
	virtual ~CRailMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView();

protected:
	DECLARE_DYNAMIC(CRailMode)

private:
	CRail* rail_selected;
	bool hit;
	int index;
};

#endif // !defined(AFX_RAILMODE_H__71959A99_81F8_11D5_A211_0080C8D7810E__INCLUDED_)
