// RectCollection.h: interface for the RectCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECTCOLLECTION_H__B6BF5B83_314B_11D5_A20E_D6CB2340E54D__INCLUDED_)
#define AFX_RECTCOLLECTION_H__B6BF5B83_314B_11D5_A20E_D6CB2340E54D__INCLUDED_

#include "Rect.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class RectCollection : public CObject
{
	DECLARE_SERIAL (RectCollection)

public:
	RectCollection();
	virtual ~RectCollection();
	
	CRectangle* AddRect (CPoint, CPoint, UINT, COLORREF);
    CRectangle* GetRect (int);
    int GetRectCount ();
	virtual void DeleteRect (int);
    virtual void DeleteRectContents ();
	virtual void Serialize (CArchive&);
	CObArray* GetRectCollection();

protected:
    CObArray m_rectArray;
};
#endif // !defined(AFX_RECTCOLLECTION_H__B6BF5B83_314B_11D5_A20E_D6CB2340E54D__INCLUDED_)
