// Road.h: interface for the CRoad class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROAD_H__95674CC1_3346_11D5_A20E_C87324A8944E__INCLUDED_)
#define AFX_ROAD_H__95674CC1_3346_11D5_A20E_C87324A8944E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRoad : public CObject
{
    DECLARE_SERIAL (CRoad)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    UINT m_LineWidth;
    COLORREF m_LineColor;
   	int distance_porpotion;

public:
    CRoad () {}
    CRoad (CPoint, CPoint, UINT, UINT, COLORREF);
    virtual void Serialize (CArchive&);
	
	//Get methods;
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	UINT GetLineWidth();
	COLORREF GetRoadColor();
	int GetRoadWidth();
	bool HitTest(CPoint);

	//Set methods;
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetLineWidth(UINT);
	virtual void SetRoadColor(COLORREF);
	virtual void SetRoadWidth(int);
};

#endif // !defined(AFX_ROAD_H__95674CC1_3346_11D5_A20E_C87324A8944E__INCLUDED_)
