// RoadCollection.h: interface for the RoadCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROADCOLLECTION_H__95674CC2_3346_11D5_A20E_C87324A8944E__INCLUDED_)
#define AFX_ROADCOLLECTION_H__95674CC2_3346_11D5_A20E_C87324A8944E__INCLUDED_

#include "Road.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class RoadCollection : public CObject 
{
	DECLARE_SERIAL (RoadCollection)

public:
	RoadCollection();
	virtual ~RoadCollection();
	
	CRoad* AddRoad (CPoint, CPoint, UINT, UINT, COLORREF);
    CRoad* GetRoad (int);
    int GetRoadCount ();
	virtual void DeleteRoad (int);
    virtual void DeleteRoadContents ();
	virtual void Serialize (CArchive&);
	CObArray* GetRoadCollection();

protected:
    CObArray m_roadArray;

};

#endif // !defined(AFX_ROADCOLLECTION_H__95674CC2_3346_11D5_A20E_C87324A8944E__INCLUDED_)
