// Text.h: interface for the CText class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXT_H__E934E8E1_8160_11D5_A211_D6897DF87C16__INCLUDED_)
#define AFX_TEXT_H__E934E8E1_8160_11D5_A211_D6897DF87C16__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CText : public CObject
{
    DECLARE_SERIAL (CText)

private:
    CPoint m_StartingPoint;
    CPoint m_EndPoint;
    COLORREF m_LineColor;  
	CString m_ObjectName;

public:
	CText() {}
	CText(CPoint, CPoint, COLORREF, CString);
    virtual void Serialize (CArchive&);

	// get methods
	CPoint GetStartingPoint();
	CPoint GetEndPoint();
	COLORREF GetTextColor();
	CString GetText();

	// set methods
	virtual void SetStartingPoint(CPoint);
	virtual void SetEndPoint(CPoint);
	virtual void SetTextColor(COLORREF);
	virtual void SetText(CString);

	bool HitTest(CPoint);
};

#endif // !defined(AFX_TEXT_H__E934E8E1_8160_11D5_A211_D6897DF87C16__INCLUDED_)
