// TextMode.h: interface for the CTextMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTMODE_H__E934E8E4_8160_11D5_A211_D6897DF87C16__INCLUDED_)
#define AFX_TEXTMODE_H__E934E8E4_8160_11D5_A211_D6897DF87C16__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mode.h"
#include "Text.h"
#include "MapView.h"

class CMapView;

class CTextMode : public CMode
{
public:
	CTextMode(CMapDoc*);
	virtual ~CTextMode();

	OnLButtonDown(UINT nFlags, CPoint point, CDC* pDC);
	OnLButtonUp(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Move(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Draw(UINT nFlags, CPoint point, CDC* pDC);
	OnMouseMove_Resize(UINT nFlags, CPoint point, CDC* pDC);
	void delete_selected();
	DoDialog();
	bool IsHit();
	CMapView* GetView();

protected:
	DECLARE_DYNAMIC(CTextMode)

private:
	CText* text_selected;
	bool hit;
	CString _dlg_text;
	int index;
};

#endif // !defined(AFX_TEXTMODE_H__E934E8E4_8160_11D5_A211_D6897DF87C16__INCLUDED_)
