// ricleCollection.h: interface for the CricleCollection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RICLECOLLECTION_H__F207D341_31AD_11D5_A20E_A96B71E1754E__INCLUDED_)
#define AFX_RICLECOLLECTION_H__F207D341_31AD_11D5_A20E_A96B71E1754E__INCLUDED_

#include "Circle.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CircleCollection : public CObject 
{
	DECLARE_SERIAL (CircleCollection)

public:
	CircleCollection();
	virtual ~CircleCollection();
	
	CCircle* AddCircle (CPoint, CPoint, UINT, COLORREF);
    CCircle* GetCircle (int);
    int GetCircleCount ();
    virtual void DeleteCircleContents ();
	virtual void DeleteCircle (int);
	virtual void Serialize (CArchive&);
	CObArray* GetCircleCollection();

protected:
    CObArray m_circleArray;
};


#endif // !defined(AFX_RICLECOLLECTION_H__F207D341_31AD_11D5_A20E_A96B71E1754E__INCLUDED_)
